%global pypi_name python-magic

Name:           %{pypi_name}
Version:        0.4.18
Release:        %mkrel 1
Summary:        File type identification using libmagic
Group:          Development/Python
License:        MIT
URL:            https://github.com/ahupp/python-magic
Source0:        https://github.com/ahupp/python-magic/archive/%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:         python-magic-git-Fix-tests-with-file-5.39.patch

BuildArch:      noarch

%description
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

# The python3-python-magic repetition is intended, as `file` also provides
# python3-file-magic which is a competing implementation. We use the egg name
# for both after the policy's `python3-` prefix.
%package -n     python3-%{pypi_name}
Summary:        File type identification using libmagic
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
# For tests.
BuildRequires:  locales-en

# `file` creates python3-file-magic (renamed in Mageia 8 from python3-magic),
# which also provides a conflicting `magic.py` module in sitelib.
Provides:       python3-magic = %{version}-%{release}
Conflicts:      python3-magic < 5.39-3
Conflicts:      python3-file-magic

%description -n python3-%{pypi_name}
This module uses ctypes to access the libmagic file type identification
library. It makes use of the local magic database and supports both textual
and MIME-type output.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
export LC_ALL=en_US.UTF-8
export PYTHONPATH=.
%{__python3} test/test.py

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/__pycache__/magic.*
%{python3_sitelib}/magic.py
%{python3_sitelib}/python_magic-%{version}-py*.egg-info


%changelog
* Mon Nov 16 2020 akien <akien> 0.4.18-1.mga8
+ Revision: 1646684
- imported package python-magic

